Query Api Tokens
Queries API Tokens in an SSO Realm with search filters and pagination support. Results can be sorted by expiration date, creation date, last used date, or access token TTL.
SSO Realm identifier
Page number from which data needs to be displayed (0-based)
Expected number of entries per page
Field name to sort results by
Sort order for the results
API Tokens search parameters
"{\n \"searchTerms\" : {\n \"allOf\" : [ {\n \"field\" : \"CLIENT_ID\",\n \"terms\" : [ \"client\" ],\n \"operator\" : \"LIKE\"\n }, {\n \"field\" : \"TOKEN_NAME\",\n \"terms\" : [ \"Automation\" ],\n \"operator\" : \"LIKE\"\n } ],\n \"anyOf\" : [ ]\n },\n \"filters\" : {\n \"tokenType\" : [ \"API_CLIENT\", \"USER\" ],\n \"tokenStatus\" : [ \"ACTIVE\", \"EXPIRED\" ]\n }\n}"
Field values that can be used to filter API client and API token data
Groupings of search conditions to match in API client and API token lists
List of API Tokens with pagination data
"{\n \"pageInfo\" : {\n \"totalCount\" : 2,\n \"page\" : 0,\n \"pageSize\" : 10\n },\n \"apiTokens\" : [ {\n \"id\" : \"167ab548-2b73-4eee-aeac-80752133b0c3\",\n \"apiClientId\" : \"api-client-id\",\n \"tokenName\" : \"Automation API Token\",\n \"tokenDescription\" : \"Used for generic automation purposes\",\n \"apiTokenTtl\" : 259200,\n \"accessTokenTtl\" : 480,\n \"tokenType\" : \"API_CLIENT\",\n \"tokenLastChars\" : \"VWXYZ\",\n \"principalName\" : \"api-client-id\",\n \"creationDate\" : 1748026688158,\n \"expirationDate\" : 1750526688158,\n \"lastUsedDate\" : 1748026688158,\n \"tokenStatus\" : \"ACTIVE\",\n \"tokenEndpointUrl\" : \"https://host.com/acs/t/CUSTOMER/token\",\n \"oidcIssuerUrl\" : \"https://host.com/acs/t/CUSTOMER\"\n }, {\n \"id\" : \"167ab548-2b73-4eee-aeac-80752133b0c3\",\n \"apiClientId\" : \"api-client-id\",\n \"tokenName\" : \"Automation API Token\",\n \"tokenDescription\" : \"Used for generic automation purposes\",\n \"apiTokenTtl\" : 259200,\n \"accessTokenTtl\" : 480,\n \"tokenType\" : \"API_CLIENT\",\n \"tokenLastChars\" : \"VWXYZ\",\n \"principalName\" : \"api-client-id\",\n \"creationDate\" : 1748026688158,\n \"expirationDate\" : 1750526688158,\n \"lastUsedDate\" : 1748026688158,\n \"tokenStatus\" : \"ACTIVE\",\n \"tokenEndpointUrl\" : \"https://host.com/acs/t/CUSTOMER/token\",\n \"oidcIssuerUrl\" : \"https://host.com/acs/t/CUSTOMER\"\n } ]\n}"
List of API token in this page
Collection of links
Represents page information for a paged result
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/suite-api/api/fleet-management/iam/ssorealms/{ssoRealmId}/api-tokens/query